﻿using ArcGIS.Core.CIM;
using ArcGIS.Core.Data;
using ArcGIS.Core.Geometry;
using ArcGIS.Desktop.Catalog;
using ArcGIS.Desktop.Core;
using ArcGIS.Desktop.Core.Geoprocessing;
using ArcGIS.Desktop.Editing;
using ArcGIS.Desktop.Extensions;
using ArcGIS.Desktop.Framework;
using ArcGIS.Desktop.Framework.Contracts;
using ArcGIS.Desktop.Framework.Dialogs;
using ArcGIS.Desktop.Framework.Threading.Tasks;
using ArcGIS.Desktop.Layouts;
using ArcGIS.Desktop.Mapping;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MyFirstAddin
{
  internal class SelectAndZoom : Button
  {
    protected override async void OnClick()
    {
      try
      {
        
        var layerName = @"Convention Center";
        // Execute a GP Tool to select the county of Paris
        await Geoprocessing.ExecuteToolAsync("management.SelectLayerByAttribute",
            new string[] { layerName, "NEW_SELECTION", "Title = 'Palm Springs Convention Center'" },
            null, CancelableProgressor.None, GPExecuteToolFlags.GPThread);
        // Zoom to the selection
        _ = MapView.Active.ZoomToSelectedAsync(new TimeSpan(0, 0, 3));
      }
      catch (Exception ex)
      {
        MessageBox.Show(ex.Message);
      }
    }
  }
}
